Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.objects
Class PhysicalLight.Type

    java.lang.Object
      de.grogra.reflect.MemberDecorator
          de.grogra.reflect.TypeDecorator
              de.grogra.persistence.ManageableType
                  de.grogra.persistence.SCOType
                      de.grogra.imp3d.objects.LightBase.Type
                          de.grogra.imp3d.objects.PointLight.Type
                              de.grogra.imp3d.objects.PhysicalLight.Type

All Implemented Interfaces:
  Member, Type

Enclosing class:
  PhysicalLight

    public static class PhysicalLight.Type

extends PointLight.Type

Nested Class Summary

Nested classes/interfaces inherited from class de.grogra.persistence.SCOType
`SCOType.Field`

Nested classes/interfaces inherited from class de.grogra.persistence.ManageableType
`ManageableType.ArrayComponent`

Field Summary
`protected static int` | `FIELD_COUNT`

Fields inherited from class de.grogra.persistence.SCOType
`$TYPE, representative`

Fields inherited from class de.grogra.persistence.ManageableType
`FIELD_NAME_SERIALIZATION, FIELD_NODE_SERIALIZATION, finished, LIST_SERIALIZATION`

Fields inherited from interface de.grogra.reflect.Type
`BOOLEAN, BYTE, CHAR, CLASS, DOUBLE, FLOAT, FLOATING_POINT, INT, INTEGRAL, INVALID, LOCAL_CLASS_MODIFIERS, LONG, MEMBER_CLASS_MODIFIERS, MEMBER_INTERFACE_MODIFIERS, NULL, NUMBER, NUMERIC, OBJECT, SHORT, STRING, TEXTAREA, TOP_LEVEL_CLASS_MODIFIERS, TOP_LEVEL_INTERFACE_MODIFIERS, TYPE, TYPE_0, VOID`

Fields inherited from interface de.grogra.reflect.Member
`ABSTRACT, ACCESS_MODIFIERS, ARRAY, BRIDGE, CONSTANT, FINAL, INTERFACE, JAVA_MODIFIERS, LOCAL_CLASS, MIN_UNUSED_MODIFIER, NATIVE, PRIVATE, PROTECTED, PUBLIC, STATIC, STRICT, SYNCHRONIZED, SYNTHETIC, TRANSIENT, VARARGS, VOLATILE`

Constructor Summary
`PhysicalLight.Type(java.lang.Class c, SCOType supertype)`
`PhysicalLight.Type(PhysicalLight representative, SCOType supertype)`

Method Summary
`protected java.lang.Object` | `getObject(java.lang.Object o, int id)`
`java.lang.Object` | `newInstance()`
`protected void` | `setObject(java.lang.Object o, int id, java.lang.Object value)`

Methods inherited from class de.grogra.imp3d.objects.PointLight.Type
`getFloat, setFloat`

Methods inherited from class de.grogra.imp3d.objects.LightBase.Type
`getBoolean, setBoolean`

Methods inherited from class de.grogra.persistence.SCOType
`addManagedField, addManagedField, getByte, getChar, getDouble, getInt, getLong, getRepresentative, getShort, isWritable, newInstance, setByte, setChar, setDouble, setInt, setLong, setShort, validate`

Methods inherited from class de.grogra.persistence.ManageableType
`addManagedField, cloneManageable, cloneNonsharedObject, cloneObject, cloneObject, forClass, forName, forType, getFCOFields, getManageableSupertype, getManagedField, getManagedField, getManagedFieldCount, getSerializationMethod, getSupertype, isAssignableFrom, isSerializable, read, readObject, replaceType, resolveAliasField, setObject, setSerializable, setSerializationMethod, write`

Methods inherited from class de.grogra.reflect.TypeDecorator
`createArray, getArrayType, getBinaryName, getComponentType, getDeclaredField, getDeclaredFieldCount, getDeclaredInterface, getDeclaredInterfaceCount, getDeclaredMethod, getDeclaredMethodCount, getDeclaredType, getDeclaredTypeCount, getDefaultElementValue, getImplementationClass, getLookup, getPackage, getTypeId, getTypeLoader, isInstance, isStringSerializable, toString, undecorate, valueOf`

Methods inherited from class de.grogra.reflect.MemberDecorator
`getDeclaredAnnotation, getDeclaredAnnotationCount, getDeclaringType, getDecoratedMember, getDescriptor, getModifiers, getName, getSimpleName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.grogra.reflect.Member
`getDeclaredAnnotation, getDeclaredAnnotationCount, getDeclaringType, getDescriptor, getModifiers, getName, getSimpleName`

Field Detail

### FIELD_COUNT

    protected static final int FIELD_COUNT

See Also:
  Constant Field Values

Constructor Detail

### PhysicalLight.Type

    public PhysicalLight.Type(java.lang.Class c,
                              SCOType supertype)

### PhysicalLight.Type

    public PhysicalLight.Type(PhysicalLight representative,
                              SCOType supertype)

Method Detail

### getObject

    protected java.lang.Object getObject(java.lang.Object o,
                                         int id)

  Overrides:
    `getObject` in class `LightBase.Type`

### newInstance

    public java.lang.Object newInstance()

  Specified by:
    `newInstance` in interface `Type`
  Overrides:
    `newInstance` in class `PointLight.Type`

### setObject

    protected void setObject(java.lang.Object o,
                             int id,
                             java.lang.Object value)

  Overrides:
    `setObject` in class `LightBase.Type`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD